VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Types | Public Attributes | List of all members
CView::Impl Struct Reference

## Public Types
using | ViewAttributes = std::unordered_map< CViewAttributeID, std::unique_ptr< CViewInternal::AttributeEntry >>
using | ViewListenerDispatcher = DispatchList< IViewListener * >
using | ViewEventListenerDispatcher = DispatchList< IViewEventListener * >
using | ViewMouseListenerDispatcher = DispatchList< IViewMouseListener * >

## Public Attributes
ViewAttributes | attributes
std::unique_ptr < ViewListenerDispatcher > | viewListeners
std::unique_ptr < ViewEventListenerDispatcher > | viewEventListeners
std::unique_ptr < ViewMouseListenerDispatcher > | viewMouseListener
CRect | size
int32_t | viewFlags {0}
int32_t | autosizeFlags {kAutosizeNone}
CFrame * | parentFrame {nullptr}
CView * | parentView {nullptr}

## Member Typedef Documentation

using ViewAttributes = std::unordered_map<CViewAttributeID, std::unique_ptr<CViewInternal::AttributeEntry>>

using ViewEventListenerDispatcher = DispatchList<IViewEventListener*>

using ViewListenerDispatcher = DispatchList<IViewListener*>

using ViewMouseListenerDispatcher = DispatchList<IViewMouseListener*>

## Member Data Documentation

ViewAttributes attributes

int32_t autosizeFlags {kAutosizeNone}

CFrame* parentFrame {nullptr}

CView* parentView {nullptr}

CRect size

std::unique_ptr<ViewEventListenerDispatcher> viewEventListeners

int32_t viewFlags {0}

std::unique_ptr<ViewListenerDispatcher> viewListeners

std::unique_ptr<ViewMouseListenerDispatcher> viewMouseListener

The documentation for this struct was generated from the following file:

- cview.cpp